USE [master]
GO

/****** Object:  Database [LocationsDB]    Script Date: 08/03/2013 05:40:48 ******/
CREATE DATABASE [LocationsDB]
GO


ALTER DATABASE [LocationsDB] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [LocationsDB] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [LocationsDB] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [LocationsDB] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [LocationsDB] SET ARITHABORT OFF 
GO

ALTER DATABASE [LocationsDB] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [LocationsDB] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [LocationsDB] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [LocationsDB] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [LocationsDB] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [LocationsDB] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [LocationsDB] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [LocationsDB] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [LocationsDB] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [LocationsDB] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [LocationsDB] SET  DISABLE_BROKER 
GO

ALTER DATABASE [LocationsDB] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [LocationsDB] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [LocationsDB] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [LocationsDB] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [LocationsDB] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [LocationsDB] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [LocationsDB] SET  READ_WRITE 
GO

ALTER DATABASE [LocationsDB] SET RECOVERY FULL 
GO

ALTER DATABASE [LocationsDB] SET  MULTI_USER 
GO

ALTER DATABASE [LocationsDB] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [LocationsDB] SET DB_CHAINING OFF 
GO




USE [LocationsDB]
GO

/****** Object:  Table [dbo].[HolidayLocations]    Script Date: 08/03/2013 05:40:15 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[HolidayLocations](
	[Id] [int] NOT NULL,
	[Location] [varchar](30) NOT NULL,
	[Preference] [int] NOT NULL,
 CONSTRAINT [PK_HolidayPreference] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO


INSERT INTO HolidayLocations
SELECT 1, 'Goa', 1
UNION ALL
SELECT 2, 'Mahabaleshwar', 2
UNION ALL
SELECT 3, 'Kerala', 3
UNION ALL
SELECT 4, 'Kashmir', 4
UNION ALL
SELECT 5, 'Ooty', 5
UNION ALL
SELECT 6, 'Simla', 6
UNION ALL
SELECT 7, 'Manali', 7
UNION ALL
SELECT 8, 'Darjeeling', 8
UNION ALL
SELECT 9, 'Nanital', 9
